From 406082a9aca48a1a2b463632b4cc2d405995d627 Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 31 Mar 2020 11:54:38 +0800
Subject: [PATCH 17/77] virtual_disks_multidisks:stop multipathd.service before
 modprobe scsi_debug

When modprobe scsi_debug, the multipathd.service should be stopped.
Otherwise it will report an error Module scsi_debug is in use by the
multipathd.service.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index a4f1c68e..bc20d1ab 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1896,6 +1896,8 @@ def run(test, params, env):
                 del img["disk_dev"]
             else:
                 if img["format"] == "scsi":
+                    cmd = "/bin/systemctl stop multipathd.service"
+                    process.system(cmd, ignore_status=True, shell=True)
                     libvirt.delete_scsi_disk()
                 elif img["format"] == "iscsi":
                     libvirt.setup_or_cleanup_iscsi(is_setup=False)
-- 
2.23.0

